"use strict";
const common_vendor = require("../../../common/vendor.js");
const pages_utils_emitter = require("../../utils/emitter.js");
const api_request = require("../../../api/request.js");
const store_userStore = require("../../../store/userStore.js");
const _sfc_main = {
  __name: "addressComponent",
  setup(__props) {
    common_vendor.ref([null, null]);
    const addressList = common_vendor.ref([]);
    const store = store_userStore.userStore();
    common_vendor.onMounted(() => {
      getAddressList();
    });
    const getAddressList = async () => {
      const res = await common_vendor.index.request({
        url: api_request.testUrl + "/address/list",
        method: "POST",
        data: {
          id: store.userInfo.id
        }
      });
      addressList.value = res.data.data;
    };
    const close = () => {
      pages_utils_emitter.emitter.emit("close");
    };
    const radioChange = (event) => {
      const index = event.detail.value;
      const temp = addressList.value[index];
      pages_utils_emitter.emitter.emit("addressInfo", temp);
      pages_utils_emitter.emitter.emit("close");
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(close),
        b: common_vendor.f(addressList.value, (item, index, i0) => {
          return {
            a: index,
            b: index === _ctx.current,
            c: common_vendor.t(item.name),
            d: common_vendor.t(item.phone),
            e: common_vendor.t(item.detailAddress),
            f: index
          };
        }),
        c: common_vendor.o(radioChange)
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-c20b9e4d"], ["__file", "D:/jiangchengfeiyi-xiaochengxu/pages/order/component/addressComponent.vue"]]);
wx.createComponent(Component);
